Debian Bug report logs - #374846
"FTBFS on powerpc: no defconfig"

version graph

Package: rtai; Maintainer for rtai is Edelhard Becker <edelhard@debian.org>; Source for rtai is src:rtai.

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Tue, 7 Mar 2006 16:48:12 UTC

Severity: serious

Tags: fixed, patch

Found in version rtai/3.2-1

Fixed in version 3.2-1.1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Edelhard Becker <edelhard@debian.org>:
Bug#355743; Package rtai. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to Edelhard Becker <edelhard@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: submit@bugs.debian.org
Subject: FTBFS on mips: no defconfig
Date: Tue, 7 Mar 2006 16:30:49 +0000
Package: rtai
Version: 3.2-1
Severity: serious

Your package no longer builds on mips (and mipsel).  This is a
regression and therefor a serious (RC) bug.  If your package no longer
supports mips/mipsel, you need to file a bug report on ftp.debian.org
(or simply reassign this one) requesting the removal of the binary
packages on mips/mipsel.  At the moment we have:

1285:tbm@merkel: ~] madison rtai
      rtai |    3.1.0-4 |        stable | source, arm, i386, mips, mipsel, powerpc
      rtai |    3.1.0-4 |       testing | source, arm, i386, mips, mipsel, powerpc
      rtai |    3.1.0-4 |      unstable | mips, mipsel, powerpc
      rtai |      3.2-1 |      unstable | source, arm, i386

i.e. rtai is out of date on mips, mipsel and powerpc.  This means it
will not enter testing, as you can see here:

4201:tbm@deprecation: ~/debian/qa] grep-excuses rtai
rtai (3.1.0-4 to 3.2-1)
    Maintainer: Edelhard Becker
    269 days old (needed 10 days)
    out of date on mips: rtai, rtai-source (from 3.1.0-4)
    out of date on mipsel: rtai, rtai-source (from 3.1.0-4)
    out of date on powerpc: rtai, rtai-source (from 3.1.0-4)
    Not considered


You either need to add defconfigs for mips/mipsel (and figure out
what's up with powerpc) or request the removal of the mips/mipsel (and
powerpc?) binary packages.

I don't know anything about rtai but I can test stuff on mips/mipsel
in case you want to create a new defconfig.


> Automatic build of rtai_3.2-1 on bigsur by sbuild/mips 1.75
...
> 		base \
> 		testsuite \
> 		debian/rtai-source/usr/src/modules/rtai
> # move the defconfig files for all architecture we support to template file name
> mv debian/rtai-source/usr/src/modules/rtai/base/arch/mips/defconfig \
> 		debian/rtai-source/usr/src/modules/rtai/base/arch/mips/defconfig.in
> mv: cannot stat `debian/rtai-source/usr/src/modules/rtai/base/arch/mips/defconfig': No such file or directory
> make: *** [install] Error 1

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Edelhard Becker <edelhard@debian.org>:
Bug#355743; Package rtai. Full text and rfc822 format available.

Acknowledgement sent to Alexander Schmehl <alexander@schmehl.info>:
Extra info received and forwarded to list. Copy sent to Edelhard Becker <edelhard@debian.org>. Full text and rfc822 format available.

Message #10 received at 355743@bugs.debian.org (full text, mbox):

From: Alexander Schmehl <alexander@schmehl.info>
To: control@bugs.debian.org
Cc: 355743@bugs.debian.org
Subject: Re: FTBFS on mips: no defconfig
Date: Wed, 21 Jun 2006 18:04:50 +0200
clone 355743 -1
retitle -1 "FTBFS on powerpc: no defconfig"
tags -1 +patch
thanks

Hi!

* Martin Michlmayr <tbm@cyrius.com> [060307 17:30]:

> Your package no longer builds on mips (and mipsel).  This is a
> regression and therefor a serious (RC) bug.
[..]
> You either need to add defconfigs for mips/mipsel (and figure out
> what's up with powerpc) or request the removal of the mips/mipsel (and
> powerpc?) binary packages.

It's the same on powerpc:
http://buildd.debian.org/build.php?&pkg=rtai&ver=3.2-1&arch=powerpc&file=log

> > Automatic build of rtai_3.2-1 on bigsur by sbuild/mips 1.75
> ...
> > 		base \
> > 		testsuite \
> > 		debian/rtai-source/usr/src/modules/rtai
> > # move the defconfig files for all architecture we support to template file name
> > mv debian/rtai-source/usr/src/modules/rtai/base/arch/mips/defconfig \
> > 		debian/rtai-source/usr/src/modules/rtai/base/arch/mips/defconfig.in
> > mv: cannot stat `debian/rtai-source/usr/src/modules/rtai/base/arch/mips/defconfig': No such file or directory
> > make: *** [install] Error 1

However I just played a bit with it on my powerpc, and found something odd:
powerpc is suppported by upstream, but isn't called "powerpc", but "ppc":

=====
alex@vinyamar:/tmp/rtai-3.2$ ll debian/rtai-source/usr/src/modules/rtai/base/arch/
insgesamt 40
drwxr-xr-x 4 alex alex  4096 2005-05-10 14:00 arm
-rw-r--r-- 1 alex alex   127 2005-03-18 09:57 GNUmakefile.am
-rw-r--r-- 1 alex alex 22348 2005-03-18 10:29 GNUmakefile.in
drwxr-xr-x 5 alex alex  4096 2005-05-10 14:00 i386
drwxr-xr-x 4 alex alex  4096 2006-06-21 17:43 ppc
=====

(Note the directory "ppc").

But because of:
=====
alex@vinyamar:~$ dpkg-architecture -qDEB_BUILD_ARCH
powerpc
=====

This part of Debian rules fails:
=====
        # move the defconfig files for all architecture we support to template file name
        mv debian/$(psource)/usr/src/modules/$(package)/base/arch/$(DEB_BUILD_ARCH)/defconfig \
                debian/$(psource)/usr/src/modules/$(package)/base/arch/$(DEB_BUILD_ARCH)/defconfig.in
=====

A dirtly little hack would be, to just create a symlink from ppc to powerpc, like this:
=====
ifeq ($(DEB_BUILD_ARCH), powerpc)
        ln -s ppc debian/$(psource)/usr/src/modules/$(package)/base/arch/powerpc
endif
=====


Attached you'll find a patch for this issue.  However:  I have no clue
how to fix the mips/mipsel problem.  Therefore no upload, just taging it
patch.


Yours sincerely,
  Alexander




Bug 355743 cloned as bug 374846. Request was from Alexander Schmehl <alexander@schmehl.info> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Alexander Schmehl <alexander@schmehl.info> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Alexander Schmehl <alexander@schmehl.info> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Edelhard Becker <edelhard@debian.org>:
Bug#374846; Package rtai. Full text and rfc822 format available.

Message #19 received at 374846@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: 374846@bugs.debian.org
Subject: Re: FTBFS on mips: no defconfig
Date: Fri, 15 Sep 2006 21:35:45 +0200
[Message part 1 (text/plain, inline)]
Hi,

I'll upload the attached NMU. For mips/mipsel, I guess removing the
old binaries is best, the upstream changelog doesn't even mention
these architectures.

debdiff rtai_3.2-1.dsc rtai_3.2-1.1.dsc
 rules     |    2 +-
 changelog |    7 +++++++
 2 files changed, 8 insertions(+), 1 deletion(-)

diff -u rtai-3.2/debian/rules rtai-3.2/debian/rules
--- rtai-3.2/debian/rules
+++ rtai-3.2/debian/rules
@@ -16,7 +16,7 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+DEB_BUILD_ARCH      = $(shell dpkg-architecture -qDEB_BUILD_ARCH | sed -e s/powerpc/ppc/)
 
 CFLAGS = -Wall -g
 
diff -u rtai-3.2/debian/changelog rtai-3.2/debian/changelog
--- rtai-3.2/debian/changelog
+++ rtai-3.2/debian/changelog
@@ -1,3 +1,10 @@
+rtai (3.2-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Replace powerpc by ppc in debian/rules (Closes: #374846).
+
+ -- Christoph Berg <myon@debian.org>  Fri, 15 Sep 2006 20:37:17 +0200
+
 rtai (3.2-1) unstable; urgency=low
 
   * New upstream release

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed Request was from Christoph Berg <myon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 3.2-1.1, send any further explanations to Martin Michlmayr <tbm@cyrius.com> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Martin Michlmayr <tbm@cyrius.com>:
Bug#374846. Full text and rfc822 format available.

Message #26 received at 374846-submitter@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 370031-submitter@bugs.debian.org, 370147-submitter@bugs.debian.org, 370178-submitter@bugs.debian.org, 370193-submitter@bugs.debian.org, 370232-submitter@bugs.debian.org, 370233-submitter@bugs.debian.org, 370244-submitter@bugs.debian.org, 370438-submitter@bugs.debian.org, 370447-submitter@bugs.debian.org, 370451-submitter@bugs.debian.org, 370504-submitter@bugs.debian.org, 370519-submitter@bugs.debian.org, 370757-submitter@bugs.debian.org, 370784-submitter@bugs.debian.org, 371142-submitter@bugs.debian.org, 372193-submitter@bugs.debian.org, 372275-submitter@bugs.debian.org, 372488-submitter@bugs.debian.org, 372558-submitter@bugs.debian.org, 372619-submitter@bugs.debian.org, 372840-submitter@bugs.debian.org, 373464-submitter@bugs.debian.org, 373509-submitter@bugs.debian.org, 373559-submitter@bugs.debian.org, 373693-submitter@bugs.debian.org, 373953-submitter@bugs.debian.org, 374000-submitter@bugs.debian.org, 374045-submitter@bugs.debian.org, 374264-submitter@bugs.debian.org, 374396-submitter@bugs.debian.org, 374487-submitter@bugs.debian.org, 374490-submitter@bugs.debian.org, 374595-submitter@bugs.debian.org, 374730-submitter@bugs.debian.org, 374846-submitter@bugs.debian.org, 374909-submitter@bugs.debian.org, 374935-submitter@bugs.debian.org, 374955-submitter@bugs.debian.org, 375105-submitter@bugs.debian.org, 375561-submitter@bugs.debian.org, 375572-submitter@bugs.debian.org, 375612-submitter@bugs.debian.org, 376197-submitter@bugs.debian.org, 376402-submitter@bugs.debian.org, 376421-submitter@bugs.debian.org, 376422-submitter@bugs.debian.org, 376471-submitter@bugs.debian.org, 376670-submitter@bugs.debian.org, 376673-submitter@bugs.debian.org, 376715-submitter@bugs.debian.org, 376875-submitter@bugs.debian.org, 376946-submitter@bugs.debian.org, 376972-submitter@bugs.debian.org, 377080-submitter@bugs.debian.org, 377089-submitter@bugs.debian.org, 377248-submitter@bugs.debian.org, 377285-submitter@bugs.debian.org, 377445-submitter@bugs.debian.org, 377652-submitter@bugs.debian.org, 377694-submitter@bugs.debian.org, 377813-submitter@bugs.debian.org, 377895-submitter@bugs.debian.org, 377978-submitter@bugs.debian.org, 377991-submitter@bugs.debian.org, 378026-submitter@bugs.debian.org, 378049-submitter@bugs.debian.org, 378066-submitter@bugs.debian.org, 378091-submitter@bugs.debian.org, 378198-submitter@bugs.debian.org, 378253-submitter@bugs.debian.org, 378296-submitter@bugs.debian.org, 378393-submitter@bugs.debian.org, 378397-submitter@bugs.debian.org, 378412-submitter@bugs.debian.org, 378447-submitter@bugs.debian.org, 378498-submitter@bugs.debian.org, 378586-submitter@bugs.debian.org, 379214-submitter@bugs.debian.org, 379242-submitter@bugs.debian.org, 379261-submitter@bugs.debian.org, 379264-submitter@bugs.debian.org, 379275-submitter@bugs.debian.org, 379486-submitter@bugs.debian.org, 379537-submitter@bugs.debian.org, 379566-submitter@bugs.debian.org, 379584-submitter@bugs.debian.org, 379744-submitter@bugs.debian.org, 379813-submitter@bugs.debian.org, 379895-submitter@bugs.debian.org, 368991-submitter@bugs.debian.org, 369450-submitter@bugs.debian.org, 369733-submitter@bugs.debian.org
Subject: bugs fixed in NMU, documenting versions
Date: Wed, 25 Oct 2006 21:05:42 -0700
# Hi folks,
#
# You are receiving this mail because you are the submitter of one or more
# bugs that have been fixed in a non-maintainer upload of a Debian package,
# but not yet acknowledged by the maintainers.  With version tracking in the
# Debian BTS, it is important to know which version of a package fixes each
# bug so that they can be tracked for release status in the BTS, so I'm
# closing these bugs with the relevant version number information now.
#
# It is possible that this will be the only message you receive about this
# bug being fixed, and due to the volume of affected bugs we are
# unfortunately not sending individualized explanations for each bug.  If
# you have questions about the fix for your particular bug or about this
# email, please contact me directly or follow up to the bug report in the
# BTS.

close 370031 1.12-0.1
close 370147 0.3.4.cvs.20050813-2.1
close 370178 3.1.0-5.2
close 370193 1.2.2-4.3
close 370232 1.2-2.1
close 370233 4.2.22-2.1
close 370244 0.7.6-1.1
close 370438 0.3.6-2.1
close 370447 0.1.5-1.1
close 370451 0.3.9-1.1
close 370504 1.99.0-2.1
close 370519 1.0.3-1.2
close 370757 2.2-5.2
close 370784 2.4.0-4.1
close 371142 1.1.3-5.2
close 372193 1:0.7.44.20051021-2.1
close 372275 0.7.3-3.1
close 372488 0.8.0-1
close 372558 0.5.10-1.1
close 372619 1.3-0.1
close 372840 0.9.10-3.2
close 373464 1.5.3-1.1
close 373509 0.99cvs20060405-1.1
close 373559 0.0.43-0.1
close 373693 2.4-11.1
close 373953 1.9.0+20060423-3.1
close 374000 3.1.0-5.3
close 374045 1.3bbn-9.1
close 374264 0.20-1-1.3
close 374396 5.8.8-6.1
close 374487 3.5.0.20030301-1.1
close 374490 1.0.1a-2.1
close 374595 1:0.90.0.1-1
close 374730 0.6-1.1
close 374846 3.2-1.1
close 374909 3.0.9-5.1
close 374935 1.15-6.1
close 374955 1.0.3-1.2
close 375105 9.51-2.1
close 375561 1.5.1-2.1
close 375572 1.1.1-1.1
close 375612 0.3.0+beta4-1.2
close 376197 0.9.0-0.1
close 376402 0.9d-2.2
close 376421 3.0-9.2
close 376422 1.3-4.2
close 376471 1.4.52-1.1
close 376670 1.1-3.2
close 376673 15-0.1
close 376715 0.86.2-6.1
close 376875 1.3-1.1
close 376946 1:2.2-2.1	
close 377080 0.9.0-1.1
close 377089 0.18-0.1
close 377248 382-iso258-1.1
close 377285 2.7.5-2sarge2
close 377445 4.1-18.3
close 377652 3.0-16.1
close 377694 2.8-2.2
close 377813 0.5.0-1.3
close 377895 251-5.1
close 377978 20060704a-2
close 377991 1:1.18-2.3
close 378026 1.81-3.1
close 378049 0.18-2.2
close 378066 0.11.4-2
close 378091 0.4.2-3.0etch1
close 378198 6.4.2-1.1
close 378253 2.5.03.2382-2
close 378296 0.96.9-12.1
close 378393 1.4.4.cvs20060709-2.1
close 378397 1.4.4.cvs20060709-2.2
close 378412 2.34-4.1
close 378447 3.6.13-3.5
close 378498 1.6-8.1
close 378586 0.0.43-0.1
close 379214 4.1.2-1.1
close 379242 0.6.6-6.2
close 379261 1.0.57-2.2
close 379275 0.7.3-1.1
close 379486 1.19-7.2
close 379537 1.02-1.1
close 379566 0.52.2-5.1
close 379584 2.01.10-30.1
close 379744 0.1-1.2
close 379813 1.1.4-3.1
close 379895 1.0.57-2.2
thanks

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Jul 2007 07:32:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:18:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.